import { Extension } from '@codemirror/state';

interface IMergeRevertStyles {
    backgroundColor: string;
    borderColor: string;
    buttonColor: string;
    buttonHoverColor: string;
}
/**
 * Function to apply merge revert styles for a theme
 * @param styles Styles for the merge revert buttons
 * @param styles.backgroundColor Background color of the revert area
 * @param styles.borderColor Border color of the revert area
 * @param styles.buttonColor Color of the revert buttons
 * @param styles.buttonHoverColor Hover color of the revert buttons
 */
declare function applyMergeRevertStyles(styles: IMergeRevertStyles): void;

/**
 * Combined Monokai theme extension
 */
declare const monokai: Extension;
/**
 * Monokai merge revert styles configuration
 */
declare const monokaiMergeStyles: IMergeRevertStyles;

export { applyMergeRevertStyles, monokai, monokaiMergeStyles };
